Name:           perl-Git-Repository
Version:        1.312
Release:        1%{?dist}
Summary:        Perl interface to Git repositories
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Git-Repository/
Source0:        http://www.cpan.org/authors/id/B/BO/BOOK/Git-Repository-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(System::Command)
BuildRequires:  perl(Test::Builder)
# Tests only
BuildRequires:  perl(constant)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(lib)
BuildRequires:  perl(overload)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  git
Requires:       perl(:MODULE_COMPAT_%(eval "(perl -V:version)"; echo $version))
Requires:       git

%description
Git::Repository is a Perl interface to Git, for scripted interactions with
repositories. It's a low-level interface that allows calling any Git
command, whether porcelain or plumbing, including bidirectional commands
such as git commit-tree.

%package -n perl-Test-Git
Summary:        Helper functions for test scripts using Git

%description -n perl-Test-Git
Test::Git provides a number of helpful functions when running test scripts that
require the creation and management of a Git repository.

%prep
%setup -q -n Git-Repository-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_flags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Git
%{_mandir}/man3/*

%files -n perl-Test-Git
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Test

%changelog
* Fri Nov 28 2014 Petr Šabata <contyk@redhat.com> - 1.312-1
- 1.312 bump

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.27-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Petr Pisar <ppisar@redhat.com> - 1.27-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 21 2012 Iain Arnell <iarnell@gmail.com> 1.27-1
- update to latest upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.25-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Petr Pisar <ppisar@redhat.com> - 1.25-3
- Perl 5.16 rebuild

* Fri Feb 10 2012 Iain Arnell <iarnell@gmail.com> 1.25-2
- avoid file dependencies; just require git
- add Changes and README to perl-Test-Git docs
- explicit BuildRequires for dual-lifed modules

* Fri Jan 13 2012 Iain Arnell <iarnell@gmail.com> 1.25-1
- Specfile autogenerated by cpanspec 1.78.
- Separate sub-package for Test::Git
